import { DEFAULTS } from '../constants';
var initialState = {
  currentScaleIndex: null,
  currentScaleOption: null,
  days: [],
  getNewEndDate: function getNewEndDate() {
    var _this$currentScaleOpt;
    var intervalMultiplier = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 1;
    if (this.options.endDate && (_this$currentScaleOpt = this.currentScaleOption) !== null && _this$currentScaleOpt !== void 0 && _this$currentScaleOpt.isDefault) {
      return this.currentScaleOption.calculateDate(this.currentScaleOption.to, this.currentScaleOption.intervalSize * intervalMultiplier);
    }
    return null;
  },
  hours: [],
  months: [],
  options: {
    endDate: null,
    hoursBlockSize: null,
    startDate: new Date(NaN),
    range: 1,
    unitWidth: DEFAULTS.UNIT_WIDTH
  },
  scaleOptions: [],
  today: new Date(),
  weeks: [],
  width: null
};
export { initialState };